import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core/ES5/Rect";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    hn(): void;
    private ps;
    readonly pt: IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    mz(): CategoryAxisBase;
    nj(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    e9(a: Point, b: boolean): number;
    fb(a: Point, b: boolean): number;
    d6(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected bd(): SeriesHitTestMode;
    lp(a: Point): Rect;
    private p1;
    dg(a: Point, b: boolean): boolean;
    ek(a: Point, b: boolean, c: boolean): number;
    le(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    o9(a: Axis): void;
    pa(a: Axis): void;
    nu(): boolean;
    mt(a: number, b: number): any[];
    d8(a: Point): number;
    ny(a: Point): number;
    e5(a: Point): number;
    fm(a: Point): any;
    protected is(a: any, b: string, c: any, d: any): void;
    pw(a: any): boolean;
    pv(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
